### Virtual Method

# Pango Font get_metrics

#### Declaration [src]

    PangoFontMetrics*
    get_metrics (
      PangoFont* font,
      PangoLanguage* language
    )

#### Description [src]

Gets overall metric information for a font.

Since the metrics may be substantially different for different scripts, a language tag can be provided to indicate that the metrics should be retrieved that correspond to the script(s) used by that language.

If `font` is `NULL`, this function gracefully sets some sane values in the output variables and returns.

#### Parameters

`language`

  Type: `PangoLanguage`

  Language tag used to determine which script to get the metrics for, or `NULL` to indicate to get the metrics for the entire font.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `PangoFontMetrics`

A `PangoFontMetrics` object. The caller must call `pango_font_metrics_unref()` when finished using the object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.